import { Lookup } from "@common/model/lookup";
import { Guid } from "@common/types/guid";
import { IsActive } from "../common/enum/is-active.enum";
import { NotificationType } from "../common/enum/notification-type";
import { NotificationNotifyState } from "../common/enum/notification-notify-state";
import { NotificationContactType } from "../common/enum/notification-contact-type";
import { NotificationTrackingState } from "../common/enum/notification-tracking-state";
import { NotificationTrackingProcess } from "../common/enum/notification-tracking-process";

export class NotificationLookup extends Lookup implements NotificationFilter {
	ids: Guid[];
	excludedIds: Guid[];
	isActive: IsActive[];
	type: NotificationType[];
	notifyState: NotificationNotifyState[];
	notifiedWith: NotificationContactType[];
	contactType: NotificationContactType[];
	trackingState: NotificationTrackingState[];
	trackingProcess: NotificationTrackingProcess[];
	userIds: Guid[];

	constructor() {
		super();
	}
}

export interface NotificationFilter {
	ids: Guid[];
	excludedIds: Guid[];
	isActive: IsActive[];
	type: NotificationType[];
	notifyState: NotificationNotifyState[];
	notifiedWith: NotificationContactType[];
	contactType: NotificationContactType[];
	trackingState: NotificationTrackingState[];
	trackingProcess: NotificationTrackingProcess[];
	userIds: Guid[];
}